ACn't load the external API "Geckolib"

Started by Suogame on Wed, 09/08/2021 - 17:11

Topic category: Help with MCreator software

Last seen on 15:43, 11. Sep 2021
Joined May 2020
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
ACn't load the external API "Geckolib"
Wed, 09/08/2021 - 17:11

I've tried to intall Geckolib so i've follow a tutotial.
I've put the plugin in the right foldre and it have been correctly load by MCreator (it's appear in the Manage plugins menu with the statut "loaded:yes")

But when i go in the Workspace Setting and in the "External APIs" section, Geckolib don't appear and can't be activated
Did you know how to fix this problem ?

Last seen on 03:50, 4. Dec 2021
Joined Jun 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Having the same problem :(  
Mon, 10/04/2021 - 08:11

Having the same problem :(

 

Last seen on 09:32, 5. Dec 2021
Joined Aug 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
what the version you have
Mon, 10/04/2021 - 11:38

what the version you have

Last seen on 09:32, 5. Dec 2021
Joined Aug 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
i have the same problem in…
Tue, 10/05/2021 - 10:34

i have the same problem in mcreator 2021.1

Last seen on 05:42, 10. Nov 2021
Joined Oct 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
geckolib is for 2020.5 
Sun, 10/17/2021 - 01:35

geckolib is for 2020.5 

Last seen on 04:33, 5. Dec 2021
Joined May 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I think the real question…
Tue, 10/26/2021 - 03:53

I think the real question was how to use the Settings for External APIs | Additional Required Mods field where you specify the dependency there.  It says comma separated, but I have yet to find any example here showing what syntax to use and just adding the modid still causes the build to fail even in 2021.2.

Last seen on 04:33, 5. Dec 2021
Joined May 2018
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I'm trying to something very…
Wed, 10/27/2021 - 01:32

I'm trying to something very similar by adding a required mod (using MCreator 2021.2), but just using the modid fails to load it and throws a NoSuchMethodError exception even though it found the correct class (and file) of the mod.

I can run single player mode with the mod and have no issues with it.  Also tried manually adding dependency & requiredMods to the mcmod.info file without the Settings External API mod reference and see the same behavior.  Seems something is missing and I'm not finding any documents with a good example of one working.